Bug 114619 - Updating an inserted section does reset all page layouts
Summary: Updating an inserted section does reset all page layouts
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2017-12-21 05:44 UTC by sworddragon2
Modified: 2020-12-27 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2017-12-21 05:44:18 UTC
Description:
 

Steps to Reproduce:
1. Create the documents 1.odt and 2.odt.
2. In 1.odt write "test" and save it.
3. In 2.odt go to the menu bar -> Insert -> Section... -> Section and enable "Link", enter on "File name" the path to 1.odt and click on Insert.
4. In 2.odt change "Default Style" from the staus bar to "First Page", save the document and close it.
5. Open 2.odt and confirm "Yes" on the question if you want to update all links to get the most recent data.

Actual Results:  
The page style got reset to "Default Style".

Expected Results:
The page style should still be "First Page".


Reproducible: Always


User Profile Reset: No



Additional Info:
Answering the question on step 5 with "No" causes the page style still to be "First Page" as expected.


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2017-12-26 17:14:35 UTC
Repro.

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 3272525e6b47af30ea5d92571cd7a6214117d359
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 25th 2017
Comment 2 QA Administrators 2018-12-27 03:42:45 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-12-27 03:36:16 UTC
Dear sworddragon2,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug